<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFConditionalFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFConditionalFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFConditionalFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFConditionalFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFConditionalFormatting" class="title">Class HSSFConditionalFormatting</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFConditionalFormatting</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                           title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFConditionalFormatting</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
              title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></pre>
                <div class="block">HSSFConditionalFormatting class encapsulates all settings of Conditional Formatting.

                    The class can be used

                    <UL>
                        <LI>
                            to make a copy HSSFConditionalFormatting settings.
                        </LI>


                        For example:
                        <PRE>
 HSSFConditionalFormatting cf = sheet.getConditionalFormattingAt(index);
 newSheet.addConditionalFormatting(cf);
 </PRE>

                        <LI>
                            or to modify existing Conditional Formatting settings (formatting regions and/or rules).
                        </LI>
                    </UL>

                    Use
                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html#getSheetConditionalFormatting--"><code>HSSFSheet.getSheetConditionalFormatting()</code></a>
                    to get access to an instance of this class.
                    <P>
                        To create a new Conditional Formatting set use the following approach:

                    <PRE>
 
 // Define a Conditional Formatting rule, which triggers formatting
 // when cell's value is greater or equal than 100.0 and
 // applies patternFormatting defined below.
 HSSFConditionalFormattingRule rule = sheet.createConditionalFormattingRule(
     ComparisonOperator.GE, 
     "100.0", // 1st formula 
     null     // 2nd formula is not used for comparison operator GE
 );
 
 // Create pattern with red background
 HSSFPatternFormatting patternFmt = rule.cretePatternFormatting();
 patternFormatting.setFillBackgroundColor(HSSFColor.RED.index);
 
 // Define a region containing first column
 Region [] regions =
 {
     new Region(1,(short)1,-1,(short)1)
 };
     
 // Apply Conditional Formatting rule defined above to the regions  
 sheet.addConditionalFormatting(regions, rule);
 </PRE>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addRule</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                    <div class="block">Add a Conditional Formatting rule.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#addRule-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">addRule</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                    <div class="block">add a Conditional Formatting rule.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#getFormattingRanges--">getFormattingRanges</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#getNumberOfRules--">getNumberOfRules</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#getRule-int-">getRule</a></span>(int&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#setFormattingRanges-org.apache.poi.ss.util.CellRangeAddress:A-">setFormattingRanges</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;ranges)</code>
                                    <div class="block">Sets the cell ranges the rule conditional formatting must be
                                        applied to.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">setRule</a></span>(int&nbsp;idx,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                    <div class="block">Replaces an existing Conditional Formatting rule at position
                                        idx.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#setRule-int-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">setRule</a></span>(int&nbsp;idx,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                    <div class="block">Replaces an existing Conditional Formatting rule at position
                                        idx.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFormattingRanges--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormattingRanges</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;getFormattingRanges()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#getFormattingRanges--">getFormattingRanges</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>array of <tt>CellRangeAddress</tt>s. never <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormattingRanges-org.apache.poi.ss.util.CellRangeAddress:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormattingRanges</h4>
                                <pre>public&nbsp;void&nbsp;setFormattingRanges(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;ranges)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#setFormattingRanges-org.apache.poi.ss.util.CellRangeAddress:A-">ConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Sets the cell ranges the rule conditional formatting must be applied
                                    to.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#setFormattingRanges-org.apache.poi.ss.util.CellRangeAddress:A-">setFormattingRanges</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ranges</code> - non-null array of <tt>CellRangeAddress</tt>s</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRule-int-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRule</h4>
                                <pre>public&nbsp;void&nbsp;setRule(int&nbsp;idx,
                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;cfRule)</pre>
                                <div class="block">Replaces an existing Conditional Formatting rule at position idx.
                                    Older versions of Excel only allow up to 3 Conditional Formatting rules,
                                    and will ignore rules beyond that, while newer versions are fine.
                                    This method can be useful to modify existing Conditional Formatting rules.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - position of the rule. Should be between 0 and 2 for older
                                        Excel versions
                                    </dd>
                                    <dd><code>cfRule</code> - - Conditional Formatting rule</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRule</h4>
                                <pre>public&nbsp;void&nbsp;setRule(int&nbsp;idx,
                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">ConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Replaces an existing Conditional Formatting rule at position idx.
                                    Excel pre-2007 allows to create up to 3 Conditional Formatting rules,
                                    2007 and later allow unlimited numbers.
                                    This method can be useful to modify existing Conditional Formatting rules.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">setRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - position of the rule. Should be between 0 and 2 for Excel
                                        before 2007, otherwise 0+.
                                    </dd>
                                    <dd><code>cfRule</code> - - Conditional Formatting rule</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addRule-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRule</h4>
                                <pre>public&nbsp;void&nbsp;addRule(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;cfRule)</pre>
                                <div class="block">add a Conditional Formatting rule.
                                    Excel allows to create up to 3 Conditional Formatting rules.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cfRule</code> - - Conditional Formatting rule</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRule</h4>
                                <pre>public&nbsp;void&nbsp;addRule(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">ConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Add a Conditional Formatting rule.
                                    Excel pre-2007 allows to create up to 3 Conditional Formatting rules.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cfRule</code> - - Conditional Formatting rule</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRule-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;getRule(int&nbsp;idx)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#getRule-int-">getRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Conditional Formatting rule at position idx.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfRules--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfRules</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfRules()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#getNumberOfRules--">getNumberOfRules</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of Conditional Formatting rules.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFConditionalFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFConditionalFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
